

function enableHibajelenseg(){
  if (document.getElementById("modultype").value=='traffic'){
    if (document.getElementById("gep_statusz").value==3){
      document.getElementById("gep_hibajelenseg_text").disabled = false;
    }else{
      document.getElementById("gep_hibajelenseg_text").disabled = true;
      document.getElementById("gep_hibajelenseg_text").value='';
    }    
  }
}

function TorolJavitasForm(){
  var theform=document.getElementById("gep_javitas_form");
    var str='';
    var text_id='';
    for (i=0; i<theform.elements.length; i++){
      if (theform.elements[i].id!='modultype' && theform.elements[i].id!='from_dolg'){
	if (theform.elements[i].type=='checkbox'){
	  theform.elements[i].checked=false;	
	}
	if (theform.elements[i].type=='text' || theform.elements[i].type=='textarea' || theform.elements[i].type=='select-one'){
	  theform.elements[i].value='';
	}
      }
    }
  var myDate=new Date();
  var month=myDate.getMonth()+1;
  if (month<10){
    month='0'+month;
  }
  document.getElementById("gep_esem_datum").value=myDate.getFullYear()+'-'+month+'-'+myDate.getDate();
  var frissit=document.getElementById("alkatresz_frissit_href").onclick;
  frissit();
}

function SetValues(){
    var s = 'X=' + window.event.clientX +  ' Y=' + window.event.clientY ;
    document.getElementById('popup_content').innerHTML = s;

}
  
/* kérdés, válasz beszúrás */
function kerdes_beszur(kerdes, cb_id, answer_id){

  var szoveg2 = '';

  if (document.getElementById(cb_id).checked){
    if (kerdes){
      var valasz = prompt(kerdes);
    }      
    if (valasz) { 
      var szoveg2 = valasz + '. '; 

      if (document.getElementById(answer_id).value == ''){
	     document.getElementById(answer_id).value=valasz;
      }else{
	     document.getElementById(answer_id).value +=','+valasz;
      }
   	  document.getElementById(cb_id+'div').style.background='#ff0000';
    }else{
      document.getElementById(cb_id).checked=false;
      document.getElementById(cb_id+'div').style.background='';
    }
  }else{
    document.getElementById(answer_id).value='';
    document.getElementById(cb_id+'div').style.background='';
  }
}

function check_color(id){

  if (document.getElementById(id).checked){
    document.getElementById(id+'div').style.background='#ff0000';    
  }else{
    document.getElementById(id+'div').style.background='';
  }
}

/* -vége- kérdés, válasz beszúrás */

